<?php
/**
 * @file
 * Path lookup functions for HeadJS
 */

/**
 * Get the path of head.min.js file
 * @return string
 */
function headjs_get_path() {
  return headjs_path() . HEADJS_FULL;
}

/**
 * Get the path of head.js library
 * Integrates with Libraries API
 *
 * @param bool
 * @return string
 */
function headjs_path($refresh = FALSE) {
  static $path;

  if ($refresh === TRUE || !isset($path)) {
    $path = function_exists('libraries_get_path') ? libraries_get_path('headjs') : 'sites/all/libraries/headjs';
  }
  
  if (file_exists("$path/dist/head.min.js")) {
    $path .= "/dist/";
  } else if ($path) {
    $path .= '/';
  }

  return $path;
}

/**
 * Centralize the message here
 */
function _headjs_warning_message() {
  drupal_set_message(t('Please <a href="http://headjs.com/#download">download</a> and copy the head.js script to your @dir folder', array('@dir' => '/sites/all/libraries/headjs')), 'error');
}
